NX Open C++ Reference Guide
|
Represents a Hole feature builder. More...
Public Types | |
enum | HoleSubtype { HoleSubtypeSimple, HoleSubtypeCounterbore, HoleSubtypeCountersink } |
Represents the subtype of the hole. More... | |
![]() | |
enum | AssociativityType { AssociativityTypeEndPoint, AssociativityTypeArcCenter, AssociativityTypeTangency, AssociativityTypeEndPoint1, AssociativityTypeEndPoint2, AssociativityTypeVerticalCenterline1, AssociativityTypeVerticalCenterline2, AssociativityTypeHorizontalCenterline1, AssociativityTypeHorizontalCenterline2 } |
Represents the associativity type for a dimension entity. More... | |
Public Member Functions | |
NXOpen::Expression * | CounterboreDepth () |
Returns the depth of the counterbore for a hole. | |
NXOpen::Expression * | CounterboreDiameter () |
Returns the diameter of the counterbore for a hole. | |
NXOpen::Expression * | CountersinkAngle () |
Returns the angle of the countersink for a hole. | |
NXOpen::Expression * | CountersinkDiameter () |
Returns the diameter of the countersink for a hole. | |
void | CreateHole () |
Creates a hole body which can be positioned Created in NX3.0.0. | |
NXOpen::Expression * | Depth () |
Returns the depth of the hole. | |
NXOpen::Expression * | Diameter () |
Returns the diameter of the hole. | |
NXOpen::Body * | GetTargetBody () |
Returns target body for the hole. | |
NXOpen::ISurface * | GetThruFace () |
Returns thru face parameter for the hole. | |
NXOpen::Point3d | HoleLocation () |
Returns the reference point of the hole. | |
NXOpen::ISurface * | PlacementFace () |
Returns the placement face of the hole. | |
bool | ReverseDirection () |
Returns the reverse direction flag of the hole. | |
void | SetCounterboreDepth (const NXString &depth) |
Sets the depth of the counterbore for a hole. | |
void | SetCounterboreDepth (const char *depth) |
Sets the depth of the counterbore for a hole. | |
void | SetCounterboreDiameter (const NXString &diameter) |
Sets the diameter of the counterbore for a hole. | |
void | SetCounterboreDiameter (const char *diameter) |
Sets the diameter of the counterbore for a hole. | |
void | SetCounterboreHole (const NXOpen::Point3d &referencePoint, bool reverseDirection, NXOpen::ISurface *placementFace, const NXString &diameter, const NXString &counterboreDiameter, const NXString &counterboreDepth) |
Sets parameters for counterbore hole Created in NX3.0.0. | |
void | SetCounterboreHole (const NXOpen::Point3d &referencePoint, bool reverseDirection, NXOpen::ISurface *placementFace, const char *diameter, const char *counterboreDiameter, const char *counterboreDepth) |
Sets parameters for counterbore hole Created in NX3.0.0. | |
void | SetCountersinkAngle (const NXString &angle) |
Sets the angle of the countersink for a hole. | |
void | SetCountersinkAngle (const char *angle) |
Sets the angle of the countersink for a hole. | |
void | SetCountersinkDiameter (const NXString &diameter) |
Sets the diameter of the countersink for a hole. | |
void | SetCountersinkDiameter (const char *diameter) |
Sets the diameter of the countersink for a hole. | |
void | SetCountersinkHole (const NXOpen::Point3d &referencePoint, bool reverseDirection, NXOpen::ISurface *placementFace, const NXString &diameter, const NXString &countersinkDiameter, const NXString &countersinkAngle) |
Sets parameters for countersink hole Created in NX3.0.0. | |
void | SetCountersinkHole (const NXOpen::Point3d &referencePoint, bool reverseDirection, NXOpen::ISurface *placementFace, const char *diameter, const char *countersinkDiameter, const char *countersinkAngle) |
Sets parameters for countersink hole Created in NX3.0.0. | |
void | SetDepth (const NXString &depth) |
Sets the depth of the hole. | |
void | SetDepth (const char *depth) |
Sets the depth of the hole. | |
void | SetDepthAndTipAngle (const NXString &depth, const NXString &tipAngle) |
Sets depth and tip angle parameters for the hole. | |
void | SetDepthAndTipAngle (const char *depth, const char *tipAngle) |
Sets depth and tip angle parameters for the hole. | |
void | SetDiameter (const NXString &diameter) |
Sets the diameter of the hole. | |
void | SetDiameter (const char *diameter) |
Sets the diameter of the hole. | |
void | SetHoleLocation (const NXOpen::Point3d &referencePoint) |
Sets the reference point of the hole. | |
void | SetPlacementFace (NXOpen::ISurface *placementFace) |
Sets the placement face of the hole. | |
void | SetReverseDirection (bool reverse) |
Sets the reverse direction flag of the hole. | |
void | SetSimpleHole (const NXOpen::Point3d &referencePoint, bool reverseDirection, NXOpen::ISurface *placementFace, const NXString &diameter) |
Sets parameters for simple hole Created in NX3.0.0. | |
void | SetSimpleHole (const NXOpen::Point3d &referencePoint, bool reverseDirection, NXOpen::ISurface *placementFace, const char *diameter) |
Sets parameters for simple hole Created in NX3.0.0. | |
void | SetSubtype (NXOpen::Features::HoleFeatureBuilder::HoleSubtype subtype) |
Sets the type of hole. | |
void | SetTargetBody (NXOpen::Body *targetBody) |
Sets target body for the hole. | |
void | SetThruFace (NXOpen::ISurface *thruFace) |
Sets thru face parameter for the hole. | |
void | SetTipAngle (const NXString &tipAngle) |
Sets the tip angle of the hole. | |
void | SetTipAngle (const char *tipAngle) |
Sets the tip angle of the hole. | |
NXOpen::Features::HoleFeatureBuilder::HoleSubtype | Subtype () |
Returns the type of hole. | |
NXOpen::Expression * | TipAngle () |
Returns the tip angle of the hole. | |
![]() | |
void | ApplyDimensions () |
Transforms the feature by applying the positioning dimensions Created in NX3.0.0. | |
NXOpen::Features::RPODimension * | CreateDimension () |
Creates a new empty RPODimension object. | |
void | CreatePositioningDimension () |
Creates a positioning dimension. | |
void | GetReferenceDirection (NXOpen::IReferenceAxis **reference, NXOpen::AxisOrientation *orientation) |
Query/Set a horizontal or vertical reference for the feature. | |
std::vector < NXOpen::Features::RPODimension * > | GetRpoDimensions () |
Gets the list of RPO dimemsions. | |
void | HidePositioningDimensions () |
Hides display of all the positioning dimensions Created in NX3.0.0. | |
void | SetExpression (const NXString &expression) |
Sets the expression value in order to constrain the target and tool entities which are set using NXOpen::Features::RPOBuilder::SetTargetAndTool . | |
void | SetExpression (const char *expression) |
Sets the expression value in order to constrain the target and tool entities which are set using NXOpen::Features::RPOBuilder::SetTargetAndTool . | |
void | SetReferenceDirection (NXOpen::IReferenceAxis *reference, NXOpen::AxisOrientation orientation) |
Sets a horizontal or vertical reference for the feature. | |
void | SetRpoDimensions (const std::vector< NXOpen::Features::RPODimension * > &dimensions) |
Sets the list of RPO dimemsions. | |
void | SetTargetAndTool (NXOpen::PositioningDimension::Subtype subtype, NXOpen::NXObject *target, NXOpen::Features::RPOBuilder::AssociativityType targetAssociativity, const NXOpen::Point3d &targetHelpPoint, NXOpen::NXObject *tool, NXOpen::Features::RPOBuilder::AssociativityType toolAssociativity, const NXOpen::Point3d &toolHelpPoint) |
Sets the target and tool entities. | |
void | ShowPositioningDimensions () |
Displays all the positioning dimensions Created in NX3.0.0. | |
void | UndoLastDimension () |
Undo the last positioning dimension Created in NX3.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Hole feature builder.
See RPOBuilder for details on positioning the hole.
To create a new instance of this class, use Features::FeatureCollection::CreateHoleFeatureBuilder
Created in NX3.0.0.
NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::CounterboreDepth | ( | ) |
Returns the depth of the counterbore for a hole.
Only used if the hole type is couterbore
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::CounterboreDiameter | ( | ) |
Returns the diameter of the counterbore for a hole.
Only used if the hole type is couterbore
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::CountersinkAngle | ( | ) |
Returns the angle of the countersink for a hole.
Only used if the hole type is coutersink
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::CountersinkDiameter | ( | ) |
Returns the diameter of the countersink for a hole.
Only used if the hole type is coutersink
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::HoleFeatureBuilder::CreateHole | ( | ) |
Creates a hole body which can be positioned
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::Depth | ( | ) |
Returns the depth of the hole.
If this parameter is set then the thru face is ignored.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::Diameter | ( | ) |
Returns the diameter of the hole.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
NXOpen::Body* NXOpen::Features::HoleFeatureBuilder::GetTargetBody | ( | ) |
Returns target body for the hole.
If this parameter is set then depth and tip angle are ignored and will prompt for thru_face.
NXOpen::ISurface* NXOpen::Features::HoleFeatureBuilder::GetThruFace | ( | ) |
Returns thru face parameter for the hole.
If this parameter is set then depth and tip angle are ignored.
NXOpen::Point3d NXOpen::Features::HoleFeatureBuilder::HoleLocation | ( | ) |
Returns the reference point of the hole.
This parameter will position the hole unless relative positioning dimensions are used
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
NXOpen::ISurface* NXOpen::Features::HoleFeatureBuilder::PlacementFace | ( | ) |
Returns the placement face of the hole.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
bool NXOpen::Features::HoleFeatureBuilder::ReverseDirection | ( | ) |
Returns the reverse direction flag of the hole.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::HoleFeatureBuilder::SetCounterboreDepth | ( | const NXString & | depth | ) |
Sets the depth of the counterbore for a hole.
Only used if the hole type is couterbore
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
depth | counterbore depth NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetCounterboreDepth | ( | const char * | depth | ) |
Sets the depth of the counterbore for a hole.
Only used if the hole type is couterbore
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
depth | counterbore depth NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetCounterboreDiameter | ( | const NXString & | diameter | ) |
Sets the diameter of the counterbore for a hole.
Only used if the hole type is couterbore
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
diameter | Hole diameter NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetCounterboreDiameter | ( | const char * | diameter | ) |
Sets the diameter of the counterbore for a hole.
Only used if the hole type is couterbore
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
diameter | Hole diameter NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetCounterboreHole | ( | const NXOpen::Point3d & | referencePoint, |
bool | reverseDirection, | ||
NXOpen::ISurface * | placementFace, | ||
const NXString & | diameter, | ||
const NXString & | counterboreDiameter, | ||
const NXString & | counterboreDepth | ||
) |
Sets parameters for counterbore hole
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
referencePoint | Reference point for the hole |
reverseDirection | Reverse direction flag, applicable only if placement face is a datum plane |
placementFace | Placement face |
diameter | Hole diameter NOTE: The full Unicode character set is not supported for this parameter. |
counterboreDiameter | Counterbore diameter NOTE: The full Unicode character set is not supported for this parameter. |
counterboreDepth | Counterbore depth NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetCounterboreHole | ( | const NXOpen::Point3d & | referencePoint, |
bool | reverseDirection, | ||
NXOpen::ISurface * | placementFace, | ||
const char * | diameter, | ||
const char * | counterboreDiameter, | ||
const char * | counterboreDepth | ||
) |
Sets parameters for counterbore hole
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
referencePoint | Reference point for the hole |
reverseDirection | Reverse direction flag, applicable only if placement face is a datum plane |
placementFace | Placement face |
diameter | Hole diameter NOTE: The full Unicode character set is not supported for this parameter. |
counterboreDiameter | Counterbore diameter NOTE: The full Unicode character set is not supported for this parameter. |
counterboreDepth | Counterbore depth NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetCountersinkAngle | ( | const NXString & | angle | ) |
Sets the angle of the countersink for a hole.
Only used if the hole type is coutersink
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
angle | countersink angle NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetCountersinkAngle | ( | const char * | angle | ) |
Sets the angle of the countersink for a hole.
Only used if the hole type is coutersink
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
angle | countersink angle NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetCountersinkDiameter | ( | const NXString & | diameter | ) |
Sets the diameter of the countersink for a hole.
Only used if the hole type is coutersink
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
diameter | Hole diameter NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetCountersinkDiameter | ( | const char * | diameter | ) |
Sets the diameter of the countersink for a hole.
Only used if the hole type is coutersink
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
diameter | Hole diameter NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetCountersinkHole | ( | const NXOpen::Point3d & | referencePoint, |
bool | reverseDirection, | ||
NXOpen::ISurface * | placementFace, | ||
const NXString & | diameter, | ||
const NXString & | countersinkDiameter, | ||
const NXString & | countersinkAngle | ||
) |
Sets parameters for countersink hole
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
referencePoint | Reference point for the hole |
reverseDirection | Reverse direction flag, applicable only if placement face is a datum plane |
placementFace | Placement face |
diameter | Hole diameter NOTE: The full Unicode character set is not supported for this parameter. |
countersinkDiameter | Countersink diameter NOTE: The full Unicode character set is not supported for this parameter. |
countersinkAngle | Countersink angle NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetCountersinkHole | ( | const NXOpen::Point3d & | referencePoint, |
bool | reverseDirection, | ||
NXOpen::ISurface * | placementFace, | ||
const char * | diameter, | ||
const char * | countersinkDiameter, | ||
const char * | countersinkAngle | ||
) |
Sets parameters for countersink hole
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
referencePoint | Reference point for the hole |
reverseDirection | Reverse direction flag, applicable only if placement face is a datum plane |
placementFace | Placement face |
diameter | Hole diameter NOTE: The full Unicode character set is not supported for this parameter. |
countersinkDiameter | Countersink diameter NOTE: The full Unicode character set is not supported for this parameter. |
countersinkAngle | Countersink angle NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetDepth | ( | const NXString & | depth | ) |
Sets the depth of the hole.
If this parameter is set then the thru face is ignored.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
depth | Hole depth NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetDepth | ( | const char * | depth | ) |
Sets the depth of the hole.
If this parameter is set then the thru face is ignored.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
depth | Hole depth NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetDepthAndTipAngle | ( | const NXString & | depth, |
const NXString & | tipAngle | ||
) |
Sets depth and tip angle parameters for the hole.
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
depth | Hole depth NOTE: The full Unicode character set is not supported for this parameter. |
tipAngle | Tip angle of the tool NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetDepthAndTipAngle | ( | const char * | depth, |
const char * | tipAngle | ||
) |
Sets depth and tip angle parameters for the hole.
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
depth | Hole depth NOTE: The full Unicode character set is not supported for this parameter. |
tipAngle | Tip angle of the tool NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetDiameter | ( | const NXString & | diameter | ) |
Sets the diameter of the hole.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
diameter | Hole diameter NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetDiameter | ( | const char * | diameter | ) |
Sets the diameter of the hole.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
diameter | Hole diameter NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetHoleLocation | ( | const NXOpen::Point3d & | referencePoint | ) |
Sets the reference point of the hole.
This parameter will position the hole unless relative positioning dimensions are used
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
referencePoint | Reference point for the hole |
void NXOpen::Features::HoleFeatureBuilder::SetPlacementFace | ( | NXOpen::ISurface * | placementFace | ) |
Sets the placement face of the hole.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
placementFace | Placement face |
void NXOpen::Features::HoleFeatureBuilder::SetReverseDirection | ( | bool | reverse | ) |
Sets the reverse direction flag of the hole.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
reverse | reverse |
void NXOpen::Features::HoleFeatureBuilder::SetSimpleHole | ( | const NXOpen::Point3d & | referencePoint, |
bool | reverseDirection, | ||
NXOpen::ISurface * | placementFace, | ||
const NXString & | diameter | ||
) |
Sets parameters for simple hole
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
referencePoint | Reference point for the hole |
reverseDirection | Reverse direction flag, applicable only if placement face is a datum plane |
placementFace | Placement face |
diameter | Hole diameter NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetSimpleHole | ( | const NXOpen::Point3d & | referencePoint, |
bool | reverseDirection, | ||
NXOpen::ISurface * | placementFace, | ||
const char * | diameter | ||
) |
Sets parameters for simple hole
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
referencePoint | Reference point for the hole |
reverseDirection | Reverse direction flag, applicable only if placement face is a datum plane |
placementFace | Placement face |
diameter | Hole diameter NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetSubtype | ( | NXOpen::Features::HoleFeatureBuilder::HoleSubtype | subtype | ) |
Sets the type of hole.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
subtype | subtype |
void NXOpen::Features::HoleFeatureBuilder::SetTargetBody | ( | NXOpen::Body * | targetBody | ) |
Sets target body for the hole.
If this parameter is set then depth and tip angle are ignored and will prompt for thru_face.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
targetBody | Target Body |
void NXOpen::Features::HoleFeatureBuilder::SetThruFace | ( | NXOpen::ISurface * | thruFace | ) |
Sets thru face parameter for the hole.
If this parameter is set then depth and tip angle are ignored.
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
thruFace | Thru face |
void NXOpen::Features::HoleFeatureBuilder::SetTipAngle | ( | const NXString & | tipAngle | ) |
Sets the tip angle of the hole.
If this parameter is set then the thru face is ignored.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
tipAngle | Tip angle NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::HoleFeatureBuilder::SetTipAngle | ( | const char * | tipAngle | ) |
Sets the tip angle of the hole.
If this parameter is set then the thru face is ignored.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
tipAngle | Tip angle NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::Features::HoleFeatureBuilder::HoleSubtype NXOpen::Features::HoleFeatureBuilder::Subtype | ( | ) |
Returns the type of hole.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")
NXOpen::Expression* NXOpen::Features::HoleFeatureBuilder::TipAngle | ( | ) |
Returns the tip angle of the hole.
If this parameter is set then the thru face is ignored.
Created in NX4.0.0.
License requirements : features_modeling ("FEATURES MODELING"), solid_modeling ("SOLIDS MODELING")